<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Documento StructType
 * @subpackage Structs
 */
class Documento extends AbstractStructBase
{
    /**
     * The RutEmisor
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $RutEmisor;
    /**
     * The Tipo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Tipo;
    /**
     * The Folio
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Folio;
    /**
     * The FechaEmision
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FechaEmision;
    /**
     * The FechaCarga
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FechaCarga;
    /**
     * The FechaRecepcionSii
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FechaRecepcionSii;
    /**
     * Constructor method for Documento
     * @uses Documento::setRutEmisor()
     * @uses Documento::setTipo()
     * @uses Documento::setFolio()
     * @uses Documento::setFechaEmision()
     * @uses Documento::setFechaCarga()
     * @uses Documento::setFechaRecepcionSii()
     * @param string $rutEmisor
     * @param string $tipo
     * @param string $folio
     * @param string $fechaEmision
     * @param string $fechaCarga
     * @param string $fechaRecepcionSii
     */
    public function __construct($rutEmisor = null, $tipo = null, $folio = null, $fechaEmision = null, $fechaCarga = null, $fechaRecepcionSii = null)
    {
        $this
            ->setRutEmisor($rutEmisor)
            ->setTipo($tipo)
            ->setFolio($folio)
            ->setFechaEmision($fechaEmision)
            ->setFechaCarga($fechaCarga)
            ->setFechaRecepcionSii($fechaRecepcionSii);
    }
    /**
     * Get RutEmisor value
     * @return string|null
     */
    public function getRutEmisor()
    {
        return $this->RutEmisor;
    }
    /**
     * Set RutEmisor value
     * @param string $rutEmisor
     * @return \StructType\Documento
     */
    public function setRutEmisor($rutEmisor = null)
    {
        $this->RutEmisor = $rutEmisor;
        return $this;
    }
    /**
     * Get Tipo value
     * @return string|null
     */
    public function getTipo()
    {
        return $this->Tipo;
    }
    /**
     * Set Tipo value
     * @param string $tipo
     * @return \StructType\Documento
     */
    public function setTipo($tipo = null)
    {
        $this->Tipo = $tipo;
        return $this;
    }
    /**
     * Get Folio value
     * @return string|null
     */
    public function getFolio()
    {
        return $this->Folio;
    }
    /**
     * Set Folio value
     * @param string $folio
     * @return \StructType\Documento
     */
    public function setFolio($folio = null)
    {
        $this->Folio = $folio;
        return $this;
    }
    /**
     * Get FechaEmision value
     * @return string|null
     */
    public function getFechaEmision()
    {
        return $this->FechaEmision;
    }
    /**
     * Set FechaEmision value
     * @param string $fechaEmision
     * @return \StructType\Documento
     */
    public function setFechaEmision($fechaEmision = null)
    {
        $this->FechaEmision = $fechaEmision;
        return $this;
    }
    /**
     * Get FechaCarga value
     * @return string|null
     */
    public function getFechaCarga()
    {
        return $this->FechaCarga;
    }
    /**
     * Set FechaCarga value
     * @param string $fechaCarga
     * @return \StructType\Documento
     */
    public function setFechaCarga($fechaCarga = null)
    {
        $this->FechaCarga = $fechaCarga;
        return $this;
    }
    /**
     * Get FechaRecepcionSii value
     * @return string|null
     */
    public function getFechaRecepcionSii()
    {
        return $this->FechaRecepcionSii;
    }
    /**
     * Set FechaRecepcionSii value
     * @param string $fechaRecepcionSii
     * @return \StructType\Documento
     */
    public function setFechaRecepcionSii($fechaRecepcionSii = null)
    {
        $this->FechaRecepcionSii = $fechaRecepcionSii;
        return $this;
    }
}
